com.genesyslab.wfm8.API.service.config812

## Class CfgProfileSkill

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgProfileSkill

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgProfileSkill
      extends java.lang.Object
      implements java.io.Serializable

  Profile Skill Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswSkillId`
    `private static long` | `serialVersionUID`
    `protected int` | `wmSkillLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgProfileSkill()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswSkillId()` Gets the value of the gswSkillId property.
    `int` | `getWmSkillLevel()` Gets the value of the wmSkillLevel property.
    `int` | `hashCode()`
    `void` | `setGswSkillId(int value)` Sets the value of the gswSkillId property.
    `void` | `setWmSkillLevel(int value)` Sets the value of the wmSkillLevel property.
    `java.lang.String` | `toString()`
    `CfgProfileSkill` | `withGswSkillId(int value)`
    `CfgProfileSkill` | `withWmSkillLevel(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswSkillId

          protected int gswSkillId

    - #### wmSkillLevel

          protected int wmSkillLevel

  - ### Constructor Detail

    - #### CfgProfileSkill

          public CfgProfileSkill()

  - ### Method Detail

    - #### getGswSkillId

          public int getGswSkillId()

      Gets the value of the gswSkillId property.

    - #### setGswSkillId

          public void setGswSkillId(int value)

      Sets the value of the gswSkillId property.

    - #### getWmSkillLevel

          public int getWmSkillLevel()

      Gets the value of the wmSkillLevel property.

    - #### setWmSkillLevel

          public void setWmSkillLevel(int value)

      Sets the value of the wmSkillLevel property.

    - #### withGswSkillId

          public CfgProfileSkill withGswSkillId(int value)

    - #### withWmSkillLevel

          public CfgProfileSkill withWmSkillLevel(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.